## GoFile

GoFile

## Synopsis

    gint                go_file_access                      (char const *uri,
                                                             gint mode);
    GsfOutput*          go_file_create                      (char const *uri,
                                                             GError **err);
    time_t              go_file_get_date_accessed           (char const *uri);
    time_t              go_file_get_date_changed            (char const *uri);
    time_t              go_file_get_date_modified           (char const *uri);
    gchar*              go_file_get_group_name              (char const *uri);
    gchar*              go_file_get_owner_name              (char const *uri);
    GsfInput*           go_file_open                        (char const *uri,
                                                             GError **err);
    GSList*             go_file_split_urls                  (char const *data);

## Description

## Details

### go_file_access ()

    gint                go_file_access                      (char const *uri,
                                                             gint mode);

`uri` : |
`mode` : |
Returns : |

### go_file_create ()

    GsfOutput*          go_file_create                      (char const *uri,
                                                             GError **err);

`uri` : |
`err` : |
Returns : |

### go_file_get_date_accessed ()

    time_t              go_file_get_date_accessed           (char const *uri);

`uri` : |
Returns : |

### go_file_get_date_changed ()

    time_t              go_file_get_date_changed            (char const *uri);

`uri` : |
Returns : |

### go_file_get_date_modified ()

    time_t              go_file_get_date_modified           (char const *uri);

`uri` : |
Returns : |

### go_file_get_group_name ()

    gchar*              go_file_get_group_name              (char const *uri);

`uri` : |
Returns : |

### go_file_get_owner_name ()

    gchar*              go_file_get_owner_name              (char const *uri);

`uri` : |
Returns : |

### go_file_open ()

    GsfInput*           go_file_open                        (char const *uri,
                                                             GError **err);

Try all available methods to open a file or return an error

`uri` : |
`err` : | GError
Returns : |

### go_file_split_urls ()

    GSList*             go_file_split_urls                  (char const *data);

`data` : |
Returns : |